import {
  DocBlock,
  DocSideBySide,
  CodeParams,
  Parameter,
  Field,
  Values,
  CodeSnippets,
} from "../../../components/CodeDocBlock";

<DocBlock>

## getIdentity

Returns the identity pubkey for the current node

<DocSideBySide>
<CodeParams>

### Parameters:

**None**

### Result:

The result field will be a JSON object with the following fields:

- `identity` - the identity pubkey of the current node \(as a base-58 encoded string\)

</CodeParams>
<CodeSnippets>

### Code sample:

```bash
curl http://localhost:8899 -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"getIdentity"}
'
```

### Response:

```json
{
  "jsonrpc": "2.0",
  "result": {
    "identity": "2r1F4iWqVcb8M1DbAjQuFpebkQHY9hcVU4WuW2DJBppN"
  },
  "id": 1
}
```

</CodeSnippets>
</DocSideBySide>
</DocBlock>
